#include <iostream>

using namespace std;

int main()
{
    long long int p,q,r,L,R,N = 0;

    std::cin >> p >> q >> r >> L >> R;

    if (p == 1 || q == 1 || r == 1){
        std::cout << 0;
        return 0;
    }

    if (p != 2 && q != 2 && r!=2){
        if (L > 2 && R > 2){
            N = R - L +1;
        }
        else {
            if (L==2){
                N = R-L;
            }
            if (L == 1){
                N = R-L-1;
            }
        }
    }
    std::cout << N;

    return 0;
}